Subject: Re: [tcpm] Last Call: <draft-ietf-tcpm-yang-tcp-06.txt> (A YANG Model for Transmission Control Protocol (TCP) Configuration) to Proposed Standard

From: t petch <[email-masked]>
Date: Wed, 2 Mar 2022 10:00:26 +0000

On 16/02/2022 22:42, The IESG wrote:
>
> The IESG has received a request from the TCP Maintenance and Minor Extensions
> WG (tcpm) to consider the following document: - 'A YANG Model for
> Transmission Control Protocol (TCP) Configuration'

Some stray thoughts.

All the IP address objects use the format that includes the zone; is 
this intended?

You mention the i2nsf-capability-data-model as an example of modelling 
TCP.  i2nsf-nsf-facing could be another.

The TLP in the YANG module is out of date (like the Copyright date).

The example uses port 80 which is traditionally insecure.  A secure port 
might set a better example.

Tom Petch

>    <draft-ietf-tcpm-yang-tcp-06.txt> as Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2022-03-02. Exceptionally, comments may
> be sent to [email-masked] instead. In either case, please retain the beginning
> of the Subject line to allow automated sorting.
>
> Abstract
>
>
>     This document specifies a minimal YANG model for TCP on devices that
>     are configured by network management protocols.  The YANG model
>     defines a container for all TCP connections and groupings of
>     authentication parameters that can be imported and used in TCP
>     implementations or by other models that need to configure TCP
>     parameters.  The model also includes basic TCP statistics.  The model
>     is compliant with Network Management Datastore Architecture (NMDA)
>     (RFC 8342).
>
>
>
>
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-tcpm-yang-tcp/
>
>
>
> No IPR declarations have been submitted directly on this I-D.
>
>
>
>
>
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm
> .
>